Bug 565611 - AttributeError: Users instance has no attribute 'cryptPassword'
Summary: AttributeError: Users instance has no attribute 'cryptPassword'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: anaconda_trace_hash:646fa40154f2aa9ac...
Depends On:
Blocks: F13Alpha, F13AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2010-02-15 18:26 UTC by James Laska
Modified: 2013-09-02 06:44 UTC (History)
4 users (show)

Fixed In Version: anaconda-13.27-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-24 18:08:56 UTC


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (385.12 KB, text/plain)
2010-02-15 18:26 UTC, James Laska
no flags Details

Description James Laska 2010-02-15 18:26:43 UTC
The following was filed automatically by anaconda:
anaconda 13.26 exception report
Traceback (most recent call first):
  File "/tmp/updates/users.py", line 302, in writeKS
    args = " --iscrypted %s" % self.cryptPassword(self.rootPassword["password"], algo=self.getPassAlgo())
  File "/tmp/updates/anaconda", line 738, in writeKS
    self.users.writeKS(f)
  File "/usr/lib/anaconda/packages.py", line 66, in writeKSConfiguration
    anaconda.writeKS(fn)
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1311, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 79, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1332, in handleRenderCallback
    self.currentWindow.renderCallback()
AttributeError: Users instance has no attribute 'cryptPassword'

Comment 1 James Laska 2010-02-15 18:26:46 UTC
Created attachment 394371 [details]
Attached traceback automatically from anaconda.

Comment 2 James Laska 2010-02-15 18:28:30 UTC
Discovered while testing a fix for bug#565599

Comment 3 James Laska 2010-02-15 19:04:59 UTC
The following patch appears to resolve the reported issue ...

--- users.py	2010-02-15 12:26:13.458766396 -0500
+++ /tmp/updates/users.py	2010-02-15 13:38:48.954516160 -0500
@@ -299,7 +299,7 @@
         if self.rootPassword["isCrypted"]:
             args = " --iscrypted %s" % self.rootPassword["password"]
         else:
-            args = " --iscrypted %s" % self.cryptPassword(self.rootPassword["password"], algo=self.getPassAlgo())
+            args = " --iscrypted %s" % cryptPassword(self.rootPassword["password"], algo=self.getPassAlgo())
 
         if self.rootPassword["lock"]:
             args += " --lock"

Updates.img available for testing at http://jlaska.fedorapeople.org/updates-565611.img

Comment 4 James Laska 2010-02-24 18:08:56 UTC
Fixed in anaconda-13.29


Note You need to log in before you can comment on or make changes to this bug.